/*
 * table file with functions for which a *64 variant can or cannot exist,
 * depending upon the compilation environment (see lf64 etc)
 *
 * using seperate FUNCTION and FUNCTION64 macros because the 64 variants can
 * have a different signature (read: stat64)
 */

// flags 2nd
FUNCTION(int, open, const char *, int, ...)
FUNCTION64(int, open, const char *, int, ...)

/* 64 at funcs */
#if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) ||	\
	defined(_ATFILE_SOURCE)
// flags 3rd
FUNCTION(int, openat, int, const char *, int, ...)
FUNCTION64(int, openat, int, const char *, int, ...)
// flags 3rd
# ifdef HAVE_ATTROPEN
FUNCTION(int, attropen, const char *, const char *, int, ...)
FUNCTION64(int, attropen, const char *, const char *, int, ...)
# endif
#endif /* __EXTENSIONS ... */

/* 64 mkstemp GNU*/
#if defined(_GNU_SOURCE)
#if defined(HAVE_MKOSTEMP)
// flags 2nd
FUNCTION64(int, mkostemp, char *, int)
FUNCTION(int,   mkostemp, char *, int)
#endif
#if defined(HAVE_MKOSTEMPS)
// flags 3nd
FUNCTION(int,   mkostemps, char *, int, int)
FUNCTION64(int, mkostemps, char *, int, int)
#endif
#endif /* GNU_SOURCE */
